package hilfsklassen;


import java.util.ArrayList;
import java.util.Arrays;

import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.io.BufferedReader;
import java.io.IOException;
import java.util.Vector;

public class Dateioperationen
{
    public static String[] ladeZeilen(String dateiname)
    {
        String[] ergebnis = null;
        Vector<String> vektor;
        File datei = new File(dateiname);
        if(datei.exists()==false)
            return null;

        try
        {
            vektor = new Vector<String>();

            FileReader meinLeser = new FileReader( new File(dateiname) );
            BufferedReader pufferleser  = new BufferedReader(meinLeser);

            String zeile = pufferleser.readLine();
            while( zeile!=null )
            {
                vektor.add(zeile);
                zeile = pufferleser.readLine();
            }
            meinLeser.close();
            ergebnis = (String[])vektor.toArray(new String[0]);
        }
        catch(IOException e) 
        { 
            return null;
        }        
        return ergebnis;
    }

    public static void speichern(String dateiname, String text)
    {
        try
        {
            File              meinFile = new File(dateiname);
            FileWriter   meinSchreiber = new FileWriter(meinFile);
            PrintWriter  meinPrinter   = new PrintWriter( meinSchreiber );            
            meinPrinter.print(text);            
            meinPrinter.close();   
        }
        catch(IOException e)
        {
            System.out.println(e.getMessage());
        }
    }


    public static String ladeText(String dateiname)
    {
        StringBuffer ergebnis = new StringBuffer();
        File datei = new File(dateiname);
        if(datei.exists()==false)
            return null;

        try
        {
            FileReader meinLeser = new FileReader( new File(dateiname) );
            BufferedReader pufferleser  = new BufferedReader(meinLeser);

            int zeile = pufferleser.read();
            while( zeile!=-1 )
            {
                ergebnis.append((char)zeile);
                zeile = pufferleser.read();
            }
            meinLeser.close();
            return ergebnis.toString();
        }
        catch(IOException e) 
        { 
            return null;
        }        
    }

}