package hilfsklassen;

public class Parser
{
    /**
    berall alt gegen neu austauschen.
    */
    public static String ersetze(String text, String alt,String neu)
    {
        StringBuffer mSB = new StringBuffer();
        
        for(int i=0;i<text.length();i++)
        {
            if(i<text.length()-alt.length()+1 && alt.equals(text.substring(i,i+alt.length())))
            {
                mSB.append(neu);
                i+=alt.length()-1;
            }
            else
            {
                mSB.append(text.charAt(i));
            }            
        }
        
        return mSB.toString();
    }

    public static String filter2Server(String text)
    {
         text = ersetze(text,"","&auml;");
         text = ersetze(text,"","&uuml;");
         text = ersetze(text,"","&ouml;");

         text = ersetze(text,"","&Auml;");
         text = ersetze(text,"","&Uuml;");
         text = ersetze(text,"","&Ouml;");

         text = ersetze(text,"","&suml;");

         return text;
    }

    public static String filter2Applet(String text)
    {
         text = ersetze(text,"&auml;","");
         text = ersetze(text,"&uuml;","");
         text = ersetze(text,"&ouml;","");

         text = ersetze(text,"&Auml;","");
         text = ersetze(text,"&Uuml;","");
         text = ersetze(text,"&Ouml;","");

         text = ersetze(text,"&suml;","");

         return text;
    }


    /**
    wandelt Unicode-Namen in reines ASCII um.<br/>
    z.B. um Namen in Dateinamen umzuwandeln<br/>
    */
    public static String nameToASCII(String name)
    {
      try
      {
        StringBuffer sb = new StringBuffer();
        for(int i=0;i<name.length();i++)
        {
            char c = name.charAt(i);
            if(
                  c=='a' || c=='b' || c=='c' || c=='d' || c=='e' || c=='f' || c=='g' ||
                  c=='h' || c=='i' || c=='j' || c=='k' || c=='l' || c=='m' || c=='n' ||
                  c=='o' || c=='p' || c=='q' || c=='r' || c=='s' || c=='t' || c=='u' ||
                  c=='v' || c=='w' || c=='x' || c=='y' || c=='z' || 

                  c=='A' || c=='B' || c=='C' || c=='D' || c=='E' || c=='F' || c=='G' ||
                  c=='H' || c=='I' || c=='J' || c=='K' || c=='L' || c=='M' || c=='N' ||
                  c=='O' || c=='P' || c=='Q' || c=='R' || c=='S' || c=='T' || c=='U' ||
                  c=='V' || c=='W' || c=='X' || c=='Y' || c=='Z' ||

                  c=='0' || c=='1' || c=='2' || c=='3' || c=='4' || c=='5' || c=='6' ||
                  c=='7' || c=='8' || c=='9' ||

                  c=='.' || c==',' || c==';' || c==':' || c=='-' || c=='+' || c=='*' ||
                  c=='/' || c=='(' || c==')' || c=='{' || c=='}' || c=='[' || c==']' ||
                  c=='@' || c=='!' || c=='?' || c=='%' 
             )
            {
                sb.append(c);
            }
            else if(c==' ') sb.append('_');
            else if(c=='') sb.append("ae");
            else if(c=='') sb.append("Ae");
            else if(c=='') sb.append("oe");
            else if(c=='') sb.append("Oe");
            else if(c=='') sb.append("ue");
            else if(c=='') sb.append("Ue");
            else if(c=='') sb.append("ss");
            else sb.append('X');             
        }

        if(sb!=null && sb.length()>0)
            return sb.toString();
        else
            return "?";
      }
      catch(Exception eee)
      {
        return "?";
      }
    }
}